#
# spec file for package ivtv-firmware
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%if %{undefined _firmwaredir}
%define _firmwaredir /lib/firmware
%endif
Name:           ivtv-firmware
Version:        1.4.0
Release:        4.31
URL:            http://ivtvdriver.org/index.php/Main_Page
Summary:        Driver firmware for iCompression or Conexant video capture cards
License:        SUSE-Firmware
Group:          Productivity/Multimedia/Other
Source0:        ivtv-firmware.tar.gz
# for cx8802
Supplements:    modalias(pci:v000014F1d00008802sv*sd*bc*sc*i*)
# for pvrusb2
Supplements:    modalias(usb:v2040p7501d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v2040p7500d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v2040p7300d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v11BAp1001d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v11BAp1003d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1164p0602d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1164p0622d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v2040p2400d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v2040p2950d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v2040p2900d*dc*dsc*dp*ic*isc*ip*)
# for ivtv
Supplements:    modalias(pci:v00004444d00000016sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00004444d00000803sv*sd*bc*sc*i*)

%description
The primary goal of the IVTV project is to provide a "clean room" Linux
Open Source driver implementation for video capture cards based on the
iCompression iTVC15 or Conexant CX23415/CX23416 MPEG Codec. Examples of
such cards are the Hauppauge PVR 250/350 series of MPEG video capture
cards, the Hauppauge "freestyle" and the AVerMedia M179 AVerTV. The
freestyle hasn't been tested, but it should work, or at least be easy
to get working.

%prep
%autosetup -c -n firmware

%build
# nothing to do

%install
mkdir -p "%{buildroot}%{_firmwaredir}"
rm -f v4l-cx25840.fw # drop, because it is already in kernel-firmware
cp -v *.fw "%{buildroot}%{_firmwaredir}"

%files
%doc license*txt
%{_firmwaredir}/*

%changelog
* Wed Jun  2 2021 Callum Farmer <gmbr3@opensuse.org>
- Use %%_firmwaredir
* Sat Sep 28 2013 bwiedemann@suse.com
- drop v4l-cx25840.fw because it is already in kernel-firmware
* Sat Sep 28 2013 bwiedemann@suse.com
- no change. just reformat specfile
* Wed Feb  6 2013 ro@suse.de
- split off package from ivtv (to submit to NonFree bnc#757539)
